Rechercher
Contactez-nous Suivez-nous sur Twitter En francais English Language
 

De la Théorie à la pratique











Abonnez-vous gratuitement à notre NEWSLETTER

Newsletter FR

Newsletter EN

Vulnérabilités

Se désabonner

Avis du CERTA : Vulnérabilité de Horde3

janvier 2008 par CERTA

1 Risque

* Injection de code indirecte ;
* contournement de la politique de sécurité ;
* atteinte à l’intégrité des données.

2 Systèmes affectés

* IMP Webmail 4.1.5 ;
* Horde Application Framework 3.1.5 ;
* Horde Groupware Webmail Edition 1.0.3.

3 Résumé

Une vulnérabilité de Horde permet d’exécuter du code abitraire à distance, de contourner la politique de sécurité ou de porter atteinte à l’intégrité des données.

4 Description

Le filtre HTML ne filtre pas les éléments de type et . De plus, certains utilisateurs peuvent adresser des requêtes via HTTP, sans vérification de validité. Cela peut servir à effacer des messages et à les purger de la corbeille. L’exploitation de cette vulnérabilité exige l’ouverture du message malveillant par la victime.

5 Solution

Se référer au bulletin de sécurité de l’éditeur pour l’obtention des correctifs (cf. section Documentation).

6 Documentation

* Site de téléchargement du projet Horde :

http://ftp.horde.org/pub/horde/horde-3.1.6.tar.gz

http://ftp.horde.org/pub/horde/patches/patch-horde-3.1.5-3.1.6.gz

* Référence CVE CVE-2007-6018 :

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-6018




Voir les articles précédents

    

Voir les articles suivants